org.apache.solr.common.cloud

## Class DefaultZkCredentialsProvider

- java.lang.Object
- - org.apache.solr.common.cloud.DefaultZkCredentialsProvider

All Implemented Interfaces:
  ZkCredentialsProvider

Direct Known Subclasses:
  VMParamsSingleSetCredentialsDigestZkCredentialsProvider

    public class DefaultZkCredentialsProvider
    extends Object
    implements ZkCredentialsProvider

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.cloud.ZkCredentialsProvider

`ZkCredentialsProvider.ZkCredentials`

### Constructor Summary

Constructors
Constructor and Description
`DefaultZkCredentialsProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Collection<ZkCredentialsProvider.ZkCredentials>` `createCredentials()`
`Collection<ZkCredentialsProvider.ZkCredentials>` `getCredentials()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultZkCredentialsProvider

    public DefaultZkCredentialsProvider()

### Method Detail

#### getCredentials

    public Collection<ZkCredentialsProvider.ZkCredentials> getCredentials()

Specified by:
  `getCredentials` in interface `ZkCredentialsProvider`

#### createCredentials

    protected Collection<ZkCredentialsProvider.ZkCredentials> createCredentials()